POST
https://api.mpay.com.au/verify/v2/aba/initiate
The purpose of this API is to verify access to a bank account or PayID details, which has several compliance and risk-mitigation applications.
If the NppCreditPayID method is used, the API response will include the PayID name. In scenarios where the PayID is either unidentified or not configured, you can verify if the payer/payee has access to the account using a secret code.
By passing the BSB and account number, the account verification API will credit a target bank account with a secret code in the remitter name and lodgement reference. This code can only be viewed by someone who has access to the target bank account by accessing and viewing their bank statement. The code can then be submitted against our records, and if it matches, Monoova will persist a verification token against that specific account.
How it works
- 1: Initiate a verification transaction on the target bank account.
- 2: Monoova will credit the target bank account with a 1c amount and a secret remitter code (may take up to 48 hours for the code to show on the target bank account).
Â
For NPP verification transactions, the secret code can also be found in the lodgement reference.
- 1: Owner of the target bank account views the statement to obtain the secret code.
- 2: Submit the secret code to Monoova via POST verify/v1/aba/validate. In the sandbox, use code "555555" to test successful validation of an account verification.
- 3: If the submitted code and amount are correct, the target bank account is designated as verified.
Â
Initiates a verification transaction against a designated bank account or PayID via NPP rail using the v2 endpoint.
acceptstringGenerated from available response content types
bodyobjectRequest payload used to initiate an NPP verification transaction.
200Success. The verification transaction was initiated successfully.
400<p>Bad Request. The request could not be processed because one or more fields are missing, malformed, or failed validation. Check <code>statusDescription</code> for the specific field or rule that failed.</p>
401<p>Unauthorized. The API key was missing, malformed, or is not valid for this environment. Pass your API key as the basic authentication username with no password.</p>
500Internal Server Error. An unexpected error occurred while processing the request. The request was not completed and can be safely retried.
curl --request POST \
--url https://api.mpay.com.au/verify/v2/aba/initiate \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data-raw '{
"creditMethod": "NppCreditBankAccount",
"bsb": "032-001",
"bankAccountNumber": "123456789",
"accountName": "Acme Pty Ltd",
"payId": "[email protected]",
"payIdType": "Email",
"remitter": "ACME PTY LTD",
"verificationIdentifier": "SUPPLIER-ONBOARD-4821",
"accountValidationUniqueId": "AVU-2026-0001547"
}'